#include <u.h>
#include <libc.h>

void
main(int argc, char **argv)
{
	Tm *tm;
	int hour;
	int minute;
	int hdiff, mdiff;
	int sleeptime;
	char *p;

	if(argc != 2 || (p=strchr(argv[1], ':')) == 0) {
		fprint(2, "usage: %s hh:mm\n", argv[0]);
		exits("usage");
		return;
	}

	hour = strtol(argv[1], 0, 10);
	minute = strtol(p+1, 0, 10);

	tm = localtime(time(0));
	if(hour < tm->hour 
	   || (hour==tm->hour && minute <= tm->min))
		hour += 24;
	hdiff = hour - tm->hour;
	mdiff = minute - tm->min;

	sleeptime = ((hdiff * 60)+mdiff) * 60 - tm->sec;
	fprint(2, "sleeping %d\n", sleeptime);
	sleep(sleeptime * 1000);
	exits(0);
}
